#if defined(__linux__)
#define _XOPEN_SOURCE 600
#endif

#include <string.h>
#include <errno.h>
#include <syslog.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

int
get_errno_wrap()
{
	return errno;
}

int
set_errno_wrap(int value)
{
	errno = value;
	return errno;
}

int
strerror_r_wrap(int errnum, char *buf, size_t buflen)
{
	return strerror_r(errnum, buf, buflen);
}

int
log_mask_wrap(int priority)
{
	return LOG_MASK(priority);
}

int
log_upto_wrap(int priority)
{
	return LOG_UPTO(priority);
}

int
mknod_wrap(const char *pathname, mode_t mode, dev_t dev)
{
	return mknod(pathname, mode, dev);
}
